Name:             pycairo
Version:          1.19.1
Release:          1
Summary:          A python module providing bindings for the cairo graphics library
License:          MPLv1.1 or LGPLv2
URL:              https://cairographics.org/pycairo
Source0:          https://github.com/pygobject/pycairo/releases/download/v%{version}/pycairo-%{version}.tar.gz

#Just a temporary patch,after whole branch removing python2,remove it
Patch0001:        fix-building-error-with-python2.patch

BuildRequires:    cairo-devel gcc pkgconfig python2-devel python2-pytest python3-devel python3-pytest

%description
Pycairo is a Python module providing bindings for the cairo graphics library.

%package -n python2-cairo
Summary: Provide python2 support for the cairo graphics library
%{?python_provide:%python_provide python2-cairo}
Obsoletes: pycairo 
Provides: pycairo = %{version}-%{release}

%description -n python2-cairo
Provide python2 support for the cairo graphics library.

%package -n python3-cairo
Summary: Provide python3 support for the cairo graphics library
%{?python_provide:%python_provide python3-cairo}

%description -n python3-cairo
Provide python3 support for the cairo graphics library.

%package -n python2-cairo-devel
Summary: Provide libraries and header files for pycairo
Requires: python2-cairo = %{version}-%{release}
Requires: python2-devel
Obsoletes: pycairo-devel 
Provides: pycairo-devel = %{version}-%{release}

%description -n python2-cairo-devel
This package contains files required to build wrappers for cairo add-on
libraries so that they interoperate with pycairo.

%package -n python3-cairo-devel
Summary: Provide libraries and headers for py3cairo
Requires: python3-cairo = %{version}-%{release}
Requires: python3-devel

%description -n python3-cairo-devel
Provide files for the use of building wrappers for cairo add-on libraries
in order to interoperate with py3cairo.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-cairo
%defattr(-,root,root)
%license COPYING*
%{python2_sitearch}/cairo/*
%{python2_sitearch}/pycairo*.egg-info/*

%files -n python3-cairo
%defattr(-,root,root)
%license COPYING*
%{python3_sitearch}/cairo/*
%{python3_sitearch}/pycairo*.egg-info/*

%files -n python2-cairo-devel
%defattr(-,root,root)
%{_includedir}/pycairo/pycairo.h
%{_libdir}/pkgconfig/py*.pc

%files -n python3-cairo-devel
%defattr(-,root,root)
%{_includedir}/pycairo/py3cairo.h
%{_libdir}/pkgconfig/py*.pc     

%changelog
* Wed Aug 26 2020 gaihuiying <gaihuiying1@huawei.com> - 1.19.1-1
- Type:requirement
- ID:NA
- SUG:NA
- DESC:update pycairo version to 1.19.1

* Fri Aug 21 2020 fanjiachen <fanjiachen3@huawei.com> - 1.18.2-2
- Type:rebuild
- ID:NA
- SUG:NA
- DESC:rebuild for requirement package update

* Wed Jan 8 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.18.2-1
- update to 1.18.2

* Mon Oct 14 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.18.1-2
- Type:enhancement
- Id:NA
- SUG:NA
- DESC:Delete extra infomation of package python3-cairo-devel

* Tue Sep 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.18.1-1
- Package init
